events.listen('recipes', function (e) {

  //Thermal insolator
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_air_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_earth_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_water_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_fire_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_inferium_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_stone_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_dirt_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_wood_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_ice_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_nature_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_dye_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_nether_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_coal_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_coral_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_honey_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_pig_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_chicken_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_cow_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_sheep_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_squid_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_fish_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_slime_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_turtle_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_rubber_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_silicon_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_sulfur_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_aluminum_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_copper_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_saltpeter_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_platinum_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_flower_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_iron_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_nether_quartz_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_glowstone_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_redstone_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_obsidian_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_prismarine_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_zombie_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_skeleton_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_creeper_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_spider_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_rabbit_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_tin_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_bronze_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_zinc_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_brass_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_silver_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_lead_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_graphite_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_blizz_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_blitz_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_basalz_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_manasteel_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_ender_biotite_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_sky_stone_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_gold_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_lapis_lazuli_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_end_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_experience_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_blaze_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_ghast_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_enderman_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_steel_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_nickel_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_constantan_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_electrum_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_invar_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_tungsten_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_uranium_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_signalum_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_lumium_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_hop_graphite_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_elementium_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_osmium_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_refined_glowstone_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_refined_obsidian_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_energized_steel_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_blazing_crystal_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_diamond_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_emerald_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_netherite_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_wither_skeleton_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_enderium_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_terrasteel_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_niotic_crystal_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_spirited_crystal_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_uraninite_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_quartz_enriched_iron_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_mithril_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_fluix_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_titanium_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_chrome_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_iridium_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_phantom_seeds' })
  e.remove({ id: 'thermal:compat/mysticalagriculture/insolator_mysticalag_certus_quartz_seeds' })

  function souliumSeed (input, essence, output){
    e.custom({"type": "mysticalagriculture:infusion","input": { "item": "mysticalagriculture:soulium_seed_base" },"ingredients": [{"item": input},{"item": essence},{"item": input},{"item": essence},{"item": input},{"item": essence},{"item": input},{"item": essence}],"result": { "item": output, "count": 1 }})}

  function inferiumSeed (input, output){
    e.custom({"type": "mysticalagriculture:infusion","input": { "item": "kubejs:inferium_seed" },"ingredients": [{"item": input},{"item": "mysticalagriculture:inferium_essence"},{"item": input},{"item": "mysticalagriculture:inferium_essence"},{"item": input},{"item": "mysticalagriculture:inferium_essence"},{"item": input},{"item": "mysticalagriculture:inferium_essence"}],"result": { "item": output, "count": 1 }})}

  function prudentiumSeed (input, output){
    e.custom({"type": "mysticalagriculture:infusion","input": { "item": "kubejs:prudentium_seed" },"ingredients": [{"item": input},{"item": "mysticalagriculture:prudentium_essence"},{"item": input},{"item": "mysticalagriculture:prudentium_essence"},{"item": input},{"item": "mysticalagriculture:prudentium_essence"},{"item": input},{"item": "mysticalagriculture:prudentium_essence"}],"result": { "item": output, "count": 1 }})}

  function tertiumSeed (input, output){
    e.custom({"type": "mysticalagriculture:infusion","input": { "item": "kubejs:tertium_seed" },"ingredients": [{"item": input},{"item": "mysticalagriculture:tertium_essence"},{"item": input},{"item": "mysticalagriculture:tertium_essence"},{"item": input},{"item": "mysticalagriculture:tertium_essence"},{"item": input},{"item": "mysticalagriculture:tertium_essence"}],"result": { "item": output, "count": 1 }})}

  function imperiumSeed (input, output){
    e.custom({"type": "mysticalagriculture:infusion","input": { "item": "kubejs:imperium_seed" },"ingredients": [{"item": input},{"item": "mysticalagriculture:imperium_essence" },{"item": input},{"item": "mysticalagriculture:imperium_essence" },{"item": input},{"item": "mysticalagriculture:imperium_essence" },{"item": input},{"item": "mysticalagriculture:imperium_essence" }],"result": {"item": output, "count": 1}})}

  function supremiumSeed (input, output){
    e.custom({"type": "mysticalagriculture:infusion","input": { "item": "kubejs:supremium_seed" },"ingredients": [{"item": input},{"item": "mysticalagriculture:supremium_essence"},{"item": input},{"item": "mysticalagriculture:supremium_essence"},{"item": input},{"item": "mysticalagriculture:supremium_essence"},{"item": input},{"item": "mysticalagriculture:supremium_essence"}],"result": {"item": output, "count": 1}})}

  function insaniumSeed (input, output){
    e.custom({"type": "mysticalagriculture:infusion","input": { "item": "kubejs:insanium_seed" },"ingredients": [{"item": input},{"item": "mysticalagradditions:insanium_essence"},{"item": input},{"item": "mysticalagradditions:insanium_essence"},{"item": input},{"item": "mysticalagradditions:insanium_essence"},{"item": input},{"item": "mysticalagradditions:insanium_essence"}],"result": {"item": output, "count": 1}})}

})